Subject: Re: [ANNOUNCE] Git v2.36.0-rc0 - Build failure on NonStops

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Apr 2022 09:04:20 -0700

"brian m. carlson" <[email-masked]> writes:

> I didn't consider the case that we had NO_OPENSSL=1 because it seems a
> bit bizarre to say, "No, I don't want OpenSSL—oh, wait, I do want
> OpenSSL!"

Indeed ;-).

> This patch also didn't seem necessary for me on Linux when I tested, but
> of course it might be necessary on some systems, so if it fixes things,
> I'm in favour.

I think I've seen the breakage myself when I tried to force
CSPRNG_METHOD = openssl in my build.  Let's take the patch as-is for
now.